<?php
/*
Plugin Name: Click Bar
Plugin URI: 
Description: Call to action bar with countdown timer
Version: 1.0
Author: Brett Rutecky
Author URI: http://www.brettrutecky.com 
License: All Rights Reserved
*/


/* Runs when plugin is activated */
register_activation_hook(__FILE__,'clickbar_install');

function clickbar_install() {
                                global $wpdb;
                                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                                
                                include('create_database.php');

                            } 


if ( is_admin() ){
                 /* Call the html code */
                 add_action('admin_menu', 'clickbar_admin_menu');

                 function clickbar_admin_menu() {
                                                  add_menu_page('ClickBar', 'ClickBar', 'administrator','clickbar', 'clickbar_admin');
                                                  }
                 }


function clickbar_admin() { 
                              global $wpdb;
                              $PGPath=plugins_url()."/clickbar/";
                              wp_register_script('op_jq', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6.0/jquery.min.js'); 
                              wp_enqueue_script('op_jq');
                              
                              wp_register_script('op_jqu', 'http://code.jquery.com/ui/1.10.3/jquery-ui.js'); 
                              wp_enqueue_script('op_jqu');
                              
                              wp_register_script('flip_clock', $PGPath.'FlipClock/compiled/flipclock.js'); 
                              wp_enqueue_script('flip_clock');
                              
                              wp_register_style('op_jqus', 'http://code.jquery.com/ui/1.10.1/themes/base/jquery-ui.css'); 
                              wp_enqueue_style('op_jqus');
                              
                              wp_register_style('flip_css', $PGPath.'FlipClock/compiled/flipclock.css'); 
                              wp_enqueue_style('flip_css');
                              
                              include('main.php');
                              
                             } 
                             
add_shortcode('clickbar', 'show_clickbar' );            
 
 function show_clickbar($atts){
                               if (!is_admin()){
                                                $ID=$atts['id'];
                                                $PGPath=plugins_url()."/clickbar/";
                                                echo "
                                                      <div style='position:fixed; bottom:0px; left:0px; width:100%; height:100px; z-index:9999;'>
                                                       <iframe src='$PGPath"."display.php?id=$ID' scrolling='no' frameborder='no' width='100%' height='100'></iframe>
                                                      </div>
                                                     ";
                                               }      
                              }                                

?>